View Issue Details

IDProjectCategoryView StatusLast Update
0003522SOGoWeb Calendarpublic2016-02-16 10:54
Reporteremilio.fonseca Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGoogle Chrome 48.0.2564.103OSDebianOS Version7
Product Versionnightly v2 
Fixed in Version3.0.2 
Summary0003522: Exception throwed when saving an event
Description

I can save an event without any problems until I check the option "When I modify my calendar, send a mail to".
With this option checked, I receive an Exception showed in Additional Information, within sogo.log file.

On demo it works fine, but not using my repo.

Additional Information

My sogo.log:

Feb 11 14:10:12 sogod [13838]: |SOGo| starting method 'POST' on uri '/SOGo/so/leandro.nunes@mav.com.br/Calendar/personal/35FE-56BCB280-1-3F383A00.ics/saveAsAppointment'
Feb 11 14:10:12 sogod [13838]: <0x0x7fd412af48b0[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Feb 11 14:10:12 sogod [13838]: <0x0x7fd412af48b0[SOGoCache]> Using host(s) 'localhost' as server(s)
Feb 11 14:10:12 sogod [13838]: [WARN] <0x0x7fd41307c200[SOGoWebDAVAclManager]> entry '{DAV:}write' already exists in DAV permissions table
Feb 11 14:10:12 sogod [13838]: [WARN] <0x0x7fd41307c200[SOGoWebDAVAclManager]> entry '{DAV:}write-properties' already exists in DAV permissions table
Feb 11 14:10:12 sogod [13838]: [WARN] <0x0x7fd41307c200[SOGoWebDAVAclManager]> entry '{DAV:}write-content' already exists in DAV permissions table
2016-02-11 14:10:12.591 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'leandro.nunes@mav.com.br' AND c_folder_type = 'Appointment';
2016-02-11 14:10:12.592 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> query has results, entering fetch-mode.
2016-02-11 14:10:12.593 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'leandro.nunes@mav.com.br' AND c_path3 = 'Calendar' AND c_path4 = 'personal';
2016-02-11 14:10:12.598 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> query has results, entering fetch-mode.
2016-02-11 14:10:12.598 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> SQL: SELECT b.c_name,b.c_version,b.c_creationdate,b.c_lastmodified,a.c_component,b.c_content FROM sogoleandron0013ffafe11_quick a, sogoleandron0013ffafe11 b WHERE (a.c_name = '35FE-56BCB280-1-3F383A00.ics') AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL);
2016-02-11 14:10:12.599 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> query has results, entering fetch-mode.
Feb 11 14:10:12 sogod [13838]: [ERROR] <0x0x7fd412bac670[NGBundleManager]> could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
2016-02-11 14:10:12.654 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/leandro.nunes@mav.com.br/Calendar/personal';
2016-02-11 14:10:12.659 sogod[13838] <MySQL4Channel[0x0x7fd412d73aa0] connection=0x0x7fd412e86b60> query has results, entering fetch-mode.
EXCEPTION: <NSException: 0x7fd4131318a0> NAME:NSInvalidArgumentException REASON:+[NGMimeHeaderFieldGenerator encodeQuotedPrintableText:]: unrecognized selector sent to instance 0x7fd41048c940 INFO:(null)

TagsNo tags attached.

Activities

ludovic

ludovic

2016-02-11 13:22

administrator   ~0009505

Once again, broken SOPE installation.

emilio.fonseca

emilio.fonseca

2016-02-11 13:55

reporter   ~0009507

As I answered in the bug 0003520, now I have the correct installation of SOPE.

But, now I have another error showing up in sogo.log for this case.
Also, the email address that I have filled is not appearing when I open the Properties view again.

See the log error:

2016-02-11 16:54:27.593 sogod[2882] ERROR(-[NSNull(misc) forwardInvocation:]): called selector stringByTrimmingSpaces on NSNull !
EXCEPTION: <NSException: 0x7f10b6cbf6b0> NAME:NSInvalidArgumentException REASON:nil object to be added in HashMap for key to INFO:{key = to; map = "{\"MIME-Version\" = \"1.0\"; \"content-type\" = \"text/html; charset=utf-8\"; date = \"Thu, 11 Feb 2016 16:54:27 -0200\"; from = \"emilio.fonseca@mav.com.br <emilio.fonseca@mav.com.br>\"; \"message-id\" = \"<b42-56bcd900-5-65ee6880@23357722>\"; subject = \"The event =?utf-8?q?=22sdaf=22?= was created\"; to = \"emilio.fonseca@mav.com.br <emilio.fonseca@mav.com.br>\"; }"; object = "<nil>"; }

emilio.fonseca

emilio.fonseca

2016-02-16 06:57

reporter   ~0009547

This same bug is happening on demo too.

Related Changesets

sogo: master 2edacc94

2016-02-16 10:35:20

francis

Details Diff
(html) Fix email notification field for calendar

Fixes 0003522
Affected Issues
0003522
mod - UI/Templates/SchedulerUI/UIxCalendarProperties.wox Diff File

Issue History

Date Modified Username Field Change
2016-02-11 13:20 emilio.fonseca New Issue
2016-02-11 13:22 ludovic Note Added: 0009505
2016-02-11 13:55 emilio.fonseca Note Added: 0009507
2016-02-16 06:57 emilio.fonseca Note Added: 0009547
2016-02-16 10:39 francis Changeset attached => sogo master 2edacc94
2016-02-16 10:39 francis Assigned To => francis
2016-02-16 10:39 francis Resolution open => fixed
2016-02-16 10:54 francis Status new => resolved
2016-02-16 10:54 francis Fixed in Version => 3.0.2